Page MenuHomePhabricator

Search Results: turn off 'did you mean' suggestion on Wikidata
Closed, ResolvedPublic

Description

Based on this original request on Wikidata: https://www.wikidata.org/wiki/Wikidata:Contact_the_development_team/Archive/2016/06#Switch_off_search_thinking_for_you.3F

and based on this recent chat with the community: https://www.wikidata.org/wiki/Wikidata:Project_chat#Turn_off_.E2.80.9CDid_you_mean:x.3F.E2.80.9D_on_Wikidata_search

I think we can turn off (or otherwise hide) the 'did you mean' suggestion that comes back when search thinks you've made a typo (as seen in the image below).

Details

Related Gerrit Patches:
operations/mediawiki-config : masterDisable phrase suggester for wikidata
mediawiki/extensions/CirrusSearch : masterAdd flag for disabling phrase suggester

Event Timeline

debt created this task.Aug 17 2016, 8:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 17 2016, 8:43 PM
Thryduulf renamed this task from Search Results: turn off 'did you mean' suggestion to Search Results: turn off 'did you mean' suggestion on Wikidata.Aug 18 2016, 12:37 AM
Thryduulf added a subscriber: Thryduulf.

I've appended "on Wikidata" to the title of this task to make it easier to find in searches, and also to make it clear that it is only proposed to turn it off on the one project not generally.

Lydia_Pintscher moved this task from incoming to monitoring on the Wikidata board.
debt raised the priority of this task from Low to Medium.Aug 22 2016, 5:44 PM

We should check to see if a flag exists for this and if not, we should probably make one. This will be all backend work and we've gotten community consensus on it.

Change 306551 had a related patch set uploaded (by EBernhardson):
Add flag for disabling phrase suggester

https://gerrit.wikimedia.org/r/306551

Change 306552 had a related patch set uploaded (by EBernhardson):
Disable phrase suggester for wikidata

https://gerrit.wikimedia.org/r/306552

Change 306551 merged by jenkins-bot:
Add flag for disabling phrase suggester

https://gerrit.wikimedia.org/r/306551

Change 306552 merged by jenkins-bot:
Disable phrase suggester for wikidata

https://gerrit.wikimedia.org/r/306552

Mentioned in SAL [2016-09-02T00:09:31Z] <dereckson@tin> Synchronized wmf-config/InitialiseSettings.php: Disable phrase suggester for wikidata (T143260, 1/2) (duration: 00m 46s)

Mentioned in SAL [2016-09-02T00:10:30Z] <dereckson@tin> Synchronized wmf-config/CirrusSearch-common.php: Disable phrase suggester for wikidata (T143260, 2/2) (duration: 00m 46s)

deployed during swat, verified wikidata.org is no longer giving suggestions where it previously would have:

https://www.wikidata.org/w/index.php?search=&search=tayps+of+welding&fulltext=1

debt closed this task as Resolved.Sep 2 2016, 2:07 PM

Nice!